/// <reference types="react" />
import '../css/input.css';
interface InputProps {
    /**
     * Is this the principal call to action on the page?
     */
    type?: "text" | "password" | "email" | "date" | "number";
    placeholder?: string;
    value?: string;
    onChange?: () => void;
}
/**
 * Primary UI component for user interaction
 */
export declare const Input: ({ type, placeholder, ...props }: InputProps) => JSX.Element;
export {};
