export interface Validation {
    required?: {
        value: boolean;
        message: string;
    };
    pattern?: {
        value: string;
        message: string;
    };
    custom?: {
        isValid: (value: string) => boolean;
        message: string;
    };
}
export declare type ErrorRecord<T> = Record<keyof T, string>;
export declare type Validations<T extends {}> = Partial<Record<keyof T, Validation>>;
